%define	name	cdloop
%define	version	3.1.0
%define	rel	9
%define	release	%mkrel %{rel}
%define	Summary	CDloop is an audio CD player with special looping capabilities

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL 
URL:		http://www.cbrunzema.de/software.html#cdloop
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch0:		cdloop-3.0.4-no-x.patch.bz2
Patch1:		cdloop-3.1.0-types.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libguile-gtk-1.2-devel
# for amixer
BuildRequires:	alsa-utils
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
Requires:	alsa-utils

%description
CDloop is an audio CD player with special looping capabilities.
Intended for musicians who want to analyze or play along to parts of a CD.
The boundaries of the looped area on the CD can be adjusted in small steps.
Cdloop can pause before repeating the loop again so you 'stay in the groove'.
You can save your loop boundaries as bookmarks.
It runs under Linux/X11 with guile-gtk. 

CAUTION: System vol is set to max by program launch

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
autoconf
CFLAGS="%{optflags} -O3" \
%configure2_5x
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}%{_bindir}/cdloop{,-gui}

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):\
	needs="x11"\
	section="Multimedia/Sound"\
	title="CDloop"\
	longtitle="%{Summary}"\
	command="cdloop-gui"\
	icon="cd-mdk.png" \
	xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=cdloop-gui 
Icon=cd-mdk.png
Terminal=false
Type=Application
Categories=GTK;Audio;Player;X-MandrivaLinux-Multimedia-Audio; 
Encoding=UTF-8
EOF

%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README THANKS TODO doc/cdlooprc.example
%{_bindir}/cdloop*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/%{name}

%changelog
* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.0-9mdv2007.0
- fix summary macro that's used in menu item
- drop explicit library dependency
- compile with -O3 (upstream compile flags that's gets overriden by our own,
  override it back again;)
- cleanups

* Fri Jul 21 2006 Charles A Edwards <eslrahc@mandriva.org> 3.1.0-8mdv2007.0
- xdg
-rebuild

* Tue Jun 06 2006 Charles A Edwards <eslrahc@mandriva.org> 3.1.0-7mdv2007.0
- BR automake1.7 (see if that will fix the 64 build)
- mkrel

* Tue Jun 21 2005 G?tz Waschk <waschk@mandriva.org> 3.1.0-6mdk
- Rebuild

* Sun Jun 20 2004 Charles A Edwards <eslrahc@bellsouth.net> 3.1.0-5mdk
- fix deps again

* Fri Jun  4 2004 G?tz Waschk <waschk@linux-mandrake.com> 3.1.0-4mdk
- fix deps
- new g++

* Thu Aug 14 2003 G?tz Waschk <waschk@linux-mandrake.com> 3.1.0-3mdk
- small build fix
- rename binary to fix conflict with cdtool

* Wed Mar 12 2003 G?tz Waschk <waschk@linux-mandrake.com> 3.1.0-2mdk
- fix buildrequires

* Wed Mar 12 2003 G?tz Waschk <waschk@linux-mandrake.com> 3.1.0-1mdk
- fix file list
- new version

* Tue Feb 18 2003 G?tz Waschk <waschk@linux-mandrake.com> 3.0.4-1mdk
- patch to build without X
- fix deps
- fix URL
- from Charles A Edwards <eslrahc@bellsouth.net>
  - initial pkg

